Name:		transcode
Version:	1.1.7
Release:	7%{?dist}

Summary:	Video stream processing tool
Group:		Applications/Multimedia
License:	GPLv2+
URL:		https://bitbucket.org/france/transcode-tcforge/overview/
Source0:	https://bitbucket.org/france/transcode-tcforge/downloads/transcode-%{version}.tar.bz2
%define		Source0_md5sum 9bb25a796a8591fb764de46ee87ce505
Patch0:		transcode-pvmbin.patch
Patch3:		transcode-1.0.4.external_dv.patch
Patch4:		transcode-1.1.6.header.patch
Patch5:		transcode-1.1.7-ffmpeg-compat.patch
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libdvdread-devel >= 4.1.3
BuildRequires:	liba52-devel
BuildRequires:	libxml2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	lzo-devel >= 2
BuildRequires:	mjpegtools-libs-devel
BuildRequires:	libdv-devel
BuildRequires:	libxvidcore-devel
BuildRequires:	libquicktime-devel >= 0.9.8
BuildRequires:	libmp3lame-devel >= 3.89
BuildRequires:	SDL-devel >= 1.1.6
BuildRequires:	ffmpeg-libs-devel
BuildRequires:	libmpeg2-devel >= 0.4.0
BuildRequires:	libtheora-devel
BuildRequires:	libXext-devel
BuildRequires:	libXv-devel
BuildRequires:	libXaw-devel
BuildRequires:	libXpm-devel
BuildRequires:	freetype-devel
BuildRequires:	libfaac-devel
BuildRequires:	libx264-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	ImageMagick-devel
BuildRequires:	libmpeg3-devel
BuildRequires:	kernel-headers
BuildRequires:	libv4l-devel
# libtool + autotools for patch2, autoreconf
BuildRequires:	libtool, autoconf, automake
# filter internal libraries from provides and requires
%filter_provides_in %{_libdir}/%{name}/.*\.so$
%filter_from_requires /export_xvid4.so.*/d
%filter_setup


%description
transcode is a text console video-stream processing tool. It supports
elementary video and audio frame transformations. Some example modules
are included to enable import of MPEG-1/2, Digital Video, and other
formats. It also includes export modules for writing to AVI files with
DivX, OpenDivX, XviD, Digital Video or other codecs. Direct DVD
transcoding is also supported. A set of tools is available to extract
and decode the sources into raw video/audio streams for import and to
enable post-processing of AVI files.


%prep
%setup -q
%patch0 -p1 -b .pvmbin
%patch3 -p1 -b .external_dv
%patch4 -p1 -b .header
%patch5 -p1 -b .oldabi
rm filter/preview/dv_types.h
rm import/v4l/videodev.h
rm import/v4l/videodev2.h
sed -i -e 's|libv4l1-videodev.h|linux/videodev.h|' import/probe_v4l.c import/v4l/import_v4l.c


%build
autoreconf -fiv # for patch2, and fixes standard rpaths on lib64 archs
for file in docs/{man/*.1,export_mp2.txt,export_mpeg.txt,filter_dnr.txt} \
    AUTHORS ChangeLog README docs/README.vcd ; do
    iconv -f iso-8859-1 -t utf-8 $file > $file.utf8 && mv -f $file.utf8 $file
done
%configure \
    --disable-dependency-tracking \
    --disable-x86-textrels \
    --enable-v4l \
    --disable-libv4l2 \
    --disable-libv4lconvert \
    --with-x \
    --enable-libavcodec \
    --enable-libavformat \
    --enable-libpostproc \
    --enable-alsa \
    --enable-freetype2 \
    --enable-xvid \
    --enable-x264 \
    --enable-ogg \
    --enable-vorbis \
    --enable-theora \
    --enable-libdv \
    --enable-libquicktime \
    --enable-a52 \
    --enable-lzo \
    --enable-faac \
    --enable-libxml2 \
    --enable-mjpegtools \
    --enable-sdl \
    --enable-imagemagick \
    --enable-deprecated \
    --enable-libmpeg2 \
    --enable-libmpeg2convert \
%ifarch %{ix86}
    --enable-pv3 \
%endif
    --enable-nuv
make


%install
rm -rf %{buildroot} __documentation
make install DESTDIR="%{buildroot}" INSTALL="install -p"
mv %{buildroot}%{_docdir}/transcode/ __documentation
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING README* TODO __documentation/*
%{_bindir}/avifix
%{_bindir}/aviindex
%{_bindir}/avimerge
%{_bindir}/avisplit
%{_bindir}/avisync
%{_bindir}/tccat
%{_bindir}/tcdecode
%{_bindir}/tcdemux
%{_bindir}/tcextract
%{_bindir}/tcmodinfo
%{_bindir}/tcmp3cut
%{_bindir}/tcprobe
%{_bindir}/tcrequant
%{_bindir}/tcscan
%{_bindir}/tcxmlcheck
%{_bindir}/tcxpm2rgb
%{_bindir}/tcyait
%{_bindir}/transcode
%{_libdir}/%{name}/
%{_mandir}/man1/avi*.1.gz
%{_mandir}/man1/tc*.1.gz
%{_mandir}/man1/transcode*.1.gz


%changelog
* Sat Jul 14 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.1.7-7
- imported from Fedora
- cleaned up spec-file
- disabled pvm3 support as we lack the dependencies
- filtered internal libraries from provides and requires

